summaryrefslogtreecommitdiff
path: root/tools/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/install.sh')
-rwxr-xr-xtools/install.sh16
1 files changed, 5 insertions, 11 deletions
diff --git a/tools/install.sh b/tools/install.sh
index 8cba52085..3f4de8681 100755
--- a/tools/install.sh
+++ b/tools/install.sh
@@ -53,11 +53,6 @@ main() {
echo "Error: git is not installed"
exit 1
}
- env git clone --depth=1 https://github.com/robbyrussell/oh-my-zsh.git $ZSH || {
- printf "Error: git clone of oh-my-zsh repo failed\n"
- exit 1
- }
-
# The Windows (MSYS) Git is not compatible with normal use on cygwin
if [ "$OSTYPE" = cygwin ]; then
if git --version | grep msysgit > /dev/null; then
@@ -66,6 +61,11 @@ main() {
exit 1
fi
fi
+ env git clone --depth=1 https://github.com/robbyrussell/oh-my-zsh.git $ZSH || {
+ printf "Error: git clone of oh-my-zsh repo failed\n"
+ exit 1
+ }
+
printf "${BLUE}Looking for an existing zsh config...${NORMAL}\n"
if [ -f ~/.zshrc ] || [ -h ~/.zshrc ]; then
@@ -80,12 +80,6 @@ main() {
" ~/.zshrc > ~/.zshrc-omztemp
mv -f ~/.zshrc-omztemp ~/.zshrc
- printf "${BLUE}Copying your current PATH and adding it to the end of ~/.zshrc for you.${NORMAL}\n"
- sed "/export PATH=/ c\\
- export PATH=\"$PATH\"
- " ~/.zshrc > ~/.zshrc-omztemp
- mv -f ~/.zshrc-omztemp ~/.zshrc
-
# If this user's login shell is not already "zsh", attempt to switch.
TEST_CURRENT_SHELL=$(expr "$SHELL" : '.*/\(.*\)')
if [ "$TEST_CURRENT_SHELL" != "zsh" ]; then